## flask-paginate 2022.1.8

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/Flask-YAMLI18N.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/Flask-YAMLI18N.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/Flask-YAMLI18N"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/Flask-YAMLI18N"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
flask-paginate (2022.1.8-2) unstable; urgency=medium

  * Upload to unstable

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Sun, 18 Dec 2022 07:55:19 -0300

flask-paginate (2022.1.8-1) unstable; urgency=medium

  * Initial release. (Closes: #946813)

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Sat, 10 Sep 2022 16:39:34 -0300

=== debian/control ===
Source: flask-paginate
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-setuptools,
               python3-all,
               python3-sphinx,
               python3-pytest,
               python3-flask,
               jdupes,
Standards-Version: 4.6.1
Homepage: https://github.com/lixxu/flask-paginate
Vcs-Browser: https://salsa.debian.org/python-team/packages/flask-paginate
Vcs-Git: https://salsa.debian.org/python-team/packages/flask-paginate.git

Package: python3-flask-paginate
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
Suggests: python-flask-paginate-doc,
           sqlite3
Description: Simple paginate support for flask
 Module supporting multiple css frameworks. Python2.6+ compatible as
 string.format syntax.
 .
 Capable of displaying information up to 100 pages, displaying 20 to 30
 pagination links above. Also add the lines below to your css file.
 .
 This package provides the Python 2.6+ module.

Package: python-flask-paginate-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Description: Simple paginate support for flask (common documentation)
 Module supporting multiple css frameworks. Python2.6+ compatible as
 string.format syntax.
 .
 Capable of displaying information up to 100 pages, displaying 20 to 30
 pagination links above. Also add the lines below to your css file.
 .
 This package contains HTML documentation, incorporates instructions on how
 to install and configure and use this module Python flask-paginate.

## flask-paginate 2023.10.24

=== debian/changelog ===
flask-paginate (2023.10.24-1) unstable; urgency=medium

  * New upstream version 2023.10.24

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Fri, 27 Oct 2023 19:46:30 -0300

flask-paginate (2023.10.8-1) unstable; urgency=medium

  * New upstream version 2023.10.8

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Sat, 14 Oct 2023 22:48:28 -0300

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                python3-pytest,
                python3-flask,
                jdupes,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/lixxu/flask-paginate
 Vcs-Browser: https://salsa.debian.org/python-team/packages/flask-paginate
 Vcs-Git: https://salsa.debian.org/python-team/packages/flask-paginate.git

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1
export HOME=$(CURDIR)
export PYBUILD_TEST_ARGS={dir}/tests/tests.py
export PYBUILD_NAME=flask-paginate
export DOC_PKG := python-flask-paginate-doc
export DOC_PKG_PATH := $(CURDIR)/debian/$(DOC_PKG)

%:
	dh $@ --with python3,sphinxdoc  --buildsystem=pybuild

 # Build sphinx HTML documentation
 override_dh_sphinxdoc:
 ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=flask_paginate python3 -m sphinx -b html -d debian/doctrees \
		-N docs/ $(DOC_PKG_PATH)/usr/share/doc/$(DOC_PKG)/html
 endif

override_dh_link:
	dh_link
# Fix duplicate-files
	jdupes -rl debian/python-flask-paginate-doc/usr/share/doc/
	rm -rf debian/doctree

# Fix privacy-breach-generic
	find debian/python-flask-paginate-doc/ -name '*.html' \
		-exec sed -i 's|http://s3.amazonaws||g' {} \;

# Fix embedded-javascript-library
	find debian/python-flask-paginate-doc/usr/share/doc -name '*.js' -delete

## flask-paginate 2024.4.12

=== example/requirements.txt ===
flask
flask-pagiante

=== debian/changelog ===
flask-paginate (2024.4.12-3) unstable; urgency=medium

  * Team upload.
  * Port to Sphinx 8.0 (closes: #1090098).

 -- Colin Watson <cjwatson@debian.org>  Thu, 19 Dec 2024 01:35:42 +0000

flask-paginate (2024.4.12-2) unstable; urgency=medium

  * Team Upload
  * Remove stale ref. to Python2 in the long description
  * Use dh-sequence-python3
  * Add d/gbp.conf

 -- Alexandre Detiste <tchet@debian.org>  Sun, 24 Nov 2024 16:58:28 +0100

flask-paginate (2024.4.12-1) unstable; urgency=medium

  * New upstream version 2024.4.12

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Wed, 24 Apr 2024 22:03:24 -0300

flask-paginate (2024.3.28-1) unstable; urgency=medium

  * New upstream version 2024.3.28

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Thu, 04 Apr 2024 20:29:44 -0300

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
                python3-setuptools,
                python3-all,
                python3-sphinx,
@@ -24,13 +24,11 @@
 Suggests: python-flask-paginate-doc,
            sqlite3
 Description: Simple paginate support for flask
- Module supporting multiple css frameworks. Python2.6+ compatible as
+ Module supporting multiple css frameworks. Python3+ compatible as
  string.format syntax.
  .
  Capable of displaying information up to 100 pages, displaying 20 to 30
  pagination links above. Also add the lines below to your css file.
- .
- This package provides the Python 2.6+ module.
 
 Package: python-flask-paginate-doc
 Architecture: all
@@ -39,7 +37,7 @@
 Depends: ${misc:Depends},
          ${sphinxdoc:Depends},
 Description: Simple paginate support for flask (common documentation)
- Module supporting multiple css frameworks. Python2.6+ compatible as
+ Module supporting multiple css frameworks. Python3+ compatible as
  string.format syntax.
  .
  Capable of displaying information up to 100 pages, displaying 20 to 30

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 export DOC_PKG_PATH := $(CURDIR)/debian/$(DOC_PKG)
 
 %:
-	dh $@ --with python3,sphinxdoc  --buildsystem=pybuild
+	dh $@ --with sphinxdoc  --buildsystem=pybuild
 
  # Build sphinx HTML documentation
  override_dh_sphinxdoc:

=== debian/watch ===
version=4
https://github.com/lixxu/flask-paginate/tags .*/v?@ANY_VERSION@@ARCHIVE_EXT@
